hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Wiki <wikidi...@apache.org>
Subject [Hadoop Wiki] Update of "DevelopingOnTrunkAfter279Merge" by SteveLoughran
Date Sat, 10 Dec 2011 21:12:47 GMT
Dear Wiki user,

You have subscribed to a wiki page or wiki category on "Hadoop Wiki" for change notification.

The "DevelopingOnTrunkAfter279Merge" page has been changed by SteveLoughran:
http://wiki.apache.org/hadoop/DevelopingOnTrunkAfter279Merge?action=diff&rev1=6&rev2=7

Comment:
Linux instructions on protoc installation

  
  Hope that helps. If you run into issues, please send an email or create a JIRA issue.
  
+ == Building on Linux ==
+ 
+ Linux distributions may install protocol buffers via their repostories. This can save all
the installation problems, or it can cause extra problems
+ 
+  # Look in your package manager for any "protoc" or "protocol buffers" compiler and library;
check the version. 
+  # If the version is 2.4.0 or later, select these and install them.
+  # If the version is below that, do not install them, and uninstall them if they are present,
then follow the installation instructions above.
+ 
+ Problem: Protoc compiler fails on Linux
+ if you see an error like 
+ {{{
+ protoc: error while loading shared libraries: libprotobuf.so.7: cannot open shared object
file: No such file or directory
+ }}}
+ It may be that the installation already has an older copy of protocol buffers installed,
and this is getting in the way of the newly installed version
+ 
+ Test: run {{{protoc --version}}} to see what version is picked up. Here is the example of
a valid version
+ $ protoc --version
+ libprotoc 2.4.1
+ }}}
+ 
+ If a version older than 2.4.0 appears, you need to uninstall protoc and possibly libprotoc
using your platform's package management tools.
+ 

Mime
View raw message